Bug 26460 - Wrong line ending (semicolon vs comma) in request.tt
Summary: Wrong line ending (semicolon vs comma) in request.tt
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
: 26733 (view as bug list)
Depends on: 23777
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-14 17:43 UTC by Nick Clemens
Modified: 2020-10-20 01:14 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26460: Fix line ending in JSON (1.63 KB, patch)
2020-09-14 17:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26460: Fix line ending in JSON (1.68 KB, patch)
2020-09-16 12:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 26460: Fix line ending in JSON (1.74 KB, patch)
2020-09-16 20:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-09-14 17:43:49 UTC
Bug 23777 switched request.tt to use Branches plugin, but inadvertently replace the comma in the JSON with a semicolon
Comment 1 Nick Clemens 2020-09-14 17:48:15 UTC
Created attachment 110072 [details] [review]
Bug 26460: Fix line ending in JSON

Wrong line ending in JSON causes error:
Uncaught SyntaxError: missing } after property list
note: { opened at line 29579, column 15

To test:
1 - Have a title with some items not for hold in staff interface
2 - Set AllowHoldPolicyOverride to 'Allow'
3 - Attempt to place hold on the title
4 - Note JS error in the console and datatable does not load for items
5 - Apply patch
6 - Reload
7 - Error is cleared, table loads correctly
Comment 2 David Nind 2020-09-16 12:11:45 UTC
Created attachment 110183 [details] [review]
Bug 26460: Fix line ending in JSON

Wrong line ending in JSON causes error:
Uncaught SyntaxError: missing } after property list
note: { opened at line 29579, column 15

To test:
1 - Have a title with some items not for hold in staff interface
2 - Set AllowHoldPolicyOverride to 'Allow'
3 - Attempt to place hold on the title
4 - Note JS error in the console and datatable does not load for items
5 - Apply patch
6 - Reload
7 - Error is cleared, table loads correctly

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-09-16 20:04:43 UTC
Created attachment 110231 [details] [review]
Bug 26460: Fix line ending in JSON

Wrong line ending in JSON causes error:
Uncaught SyntaxError: missing } after property list
note: { opened at line 29579, column 15

To test:
1 - Have a title with some items not for hold in staff interface
2 - Set AllowHoldPolicyOverride to 'Allow'
3 - Attempt to place hold on the title
4 - Note JS error in the console and datatable does not load for items
5 - Apply patch
6 - Reload
7 - Error is cleared, table loads correctly

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-09-18 09:54:44 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-15 22:03:47 UTC
backported to 20.05.x for 20.05.05
Comment 6 Owen Leonard 2020-10-19 12:18:07 UTC
*** Bug 26733 has been marked as a duplicate of this bug. ***
Comment 7 Aleisha Amohia 2020-10-20 01:14:40 UTC
missing dependencies, not backported to 19.11.x